org.apache.maven.scm.provider.cvslib.cvsexe.command.changelog

## Class CvsExeChangeLogCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.changelog.AbstractChangeLogCommand
    - - org.apache.maven.scm.provider.cvslib.command.changelog.AbstractCvsChangeLogCommand
      - - org.apache.maven.scm.provider.cvslib.cvsexe.command.changelog.CvsExeChangeLogCommand

All Implemented Interfaces:
  ChangeLogCommand, Command, CvsCommand

    public class CvsExeChangeLogCommand
    extends AbstractCvsChangeLogCommand

Version:
  $Id: CvsExeChangeLogCommand.java 685548 2008-08-13 13:35:49Z vsiveton $
Author:
  Emmanuel Venisse

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`CvsExeChangeLogCommand()`

### Method Summary

Methods
`protected ChangeLogScmResult` `executeCvsCommand(org.codehaus.plexus.util.cli.Commandline cl, Date startDate, Date endDate, ScmVersion startVersion, ScmVersion endVersion, String datePattern)`

### Methods inherited from class org.apache.maven.scm.provider.cvslib.command.changelog.AbstractCvsChangeLogCommand

`addDateRangeParameter, executeChangeLogCommand, executeChangeLogCommand, getDateFormat`

### Methods inherited from class org.apache.maven.scm.command.changelog.AbstractChangeLogCommand

`executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.maven.scm.command.Command

`execute, getLogger, setLogger`

### Constructor Detail

#### CvsExeChangeLogCommand

    public CvsExeChangeLogCommand()

### Method Detail

#### executeCvsCommand

    protected ChangeLogScmResult executeCvsCommand(org.codehaus.plexus.util.cli.Commandline cl,
                                       Date startDate,
                                       Date endDate,
                                       ScmVersion startVersion,
                                       ScmVersion endVersion,
                                       String datePattern)
                                            throws ScmException

Specified by:
  `executeCvsCommand` in class `AbstractCvsChangeLogCommand`
Throws:
  `ScmException`